# $Revision: 1.26 $, $Date: 2010/01/29 20:39:14 $
Summary:	Last.fm Radio
Summary(pl.UTF-8):	Odtwarzacz Last.fm
Name:		lastfm-radio
Version:	1.4.2.58240
Release:	3
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://cdn.last.fm/client/src/last.fm-%{version}.src.tar.bz2
# Source0-md5:	977d349736c9cd73e4b028c392898467
Source1:	%{name}.desktop
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-libmad.patch
Patch2:		%{name}-64bitinclude.patch
Patch3:		%{name}-gcc43.patch
URL:		http://www.last.fm/download/
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtXml-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	fftw3-single-devel
BuildRequires:	libgpod-devel
BuildRequires:	libmad-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-linguist >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
Obsoletes:	lastfm-player
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small application that plays you Last.fm radio - where each
listener gets different songs, all picked automatically depending on
your music taste.

%description -l pl.UTF-8
To jest mała aplikacja odtwarzająca radio Last.fm - gdzie każdy
słuchacz otrzymuje różne piosenki, dobierane automatycznie w
zależności od gustów muzycznych.

%prep
%setup -q -n last.fm-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p1

%{__sed} -i -e 's#@LIB@#%{_libdir}#g' src/container.cpp src/libMoose/MooseCommon.cpp

%build
qmake-qt4
%{__make}

cd i18n
lrelease-qt4 lastfm_*.ts

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}/services,%{_datadir}/%{name}/data/{buttons,icons,i18n},%{_desktopdir}}

install bin/last.fm $RPM_BUILD_ROOT%{_bindir}/last.fm
install bin/data/*.{mng,png,gif} $RPM_BUILD_ROOT%{_datadir}/%{name}/data
install bin/data/buttons/* $RPM_BUILD_ROOT%{_datadir}/%{name}/data/buttons
install bin/data/icons/* $RPM_BUILD_ROOT%{_datadir}/%{name}/data/icons
install bin/*.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}
install bin/services/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/services
install i18n/lastfm_*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/data/i18n

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/last.fm
%attr(755,root,root) %{_libdir}/*.so.1.0.0
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/services
%attr(755,root,root) %{_libdir}/%{name}/services/*.so
%{_datadir}/%{name}
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lastfm-radio.spec,v $
Revision 1.26  2010/01/29 20:39:14  arekm
- release 3

Revision 1.25  2009/02/18 19:21:28  uzsolt
- rel 2
- please rebuild (newest libgpod)

Revision 1.24  2008/12/07 12:03:07  arekm
- rel 1

Revision 1.23  2008/11/01 11:50:24  charles
- BR: libsamplerate-devel

Revision 1.22  2008/08/10 16:51:27  wiget
- added gcc43.patch - fix building with GCC 4.3

Revision 1.21  2008/05/11 16:46:55  shadzik
- re-added patch1
- by Daniel Horecki <shinden at linux dot pl>

Revision 1.20  2008-04-06 08:56:26  shadzik
- add patch1 and patch2

Revision 1.19  2008-04-06 08:18:40  shadzik
- BR: libmad-devel

Revision 1.18  2008-03-19 12:37:34  paszczus
- added LIBS=-lmad but still NFY

Revision 1.17  2008-02-25 20:48:13  dzeus
- rel 0.1 NFY help me :(

Revision 1.16  2008-02-25 20:41:22  dzeus
- more libs

Revision 1.15  2008-02-25 20:29:42  dzeus
- up to 1.4.2.58240

Revision 1.14  2008-01-04 19:40:31  qboosh
- use qmake-qt4, lrelease-qt4

Revision 1.13  2007-08-20 17:58:14  glen
- update to 1.3.1.0

Revision 1.12  2007/08/04 16:29:09  qboosh
- install actually compiled lastfm locale files

Revision 1.11  2007/07/21 18:56:47  aredridel
- 1.3.0.58

Revision 1.10  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.8  2006/03/05 13:04:45  charles
- renamed to lastfm-radio
- snap 20060303

Revision 1.7  2006/02/27 19:44:19  qboosh
- added gcc4 patch, use qt4-qmake

Revision 1.6  2006/02/23 10:31:18  paszczus
- there is no such tool as qt4-qmake so changed to qmake

Revision 1.5  2006/02/21 00:28:17  charles
- updated to 1.1.90 - snap 20060220
- use qt4-qmake

Revision 1.4  2006/02/14 15:48:32  charles
- updated to 20060214
- removed -build.patch
- added .desktop file (thx  Patryk <patryk | patryk one pl>)
- bin s/player/lastfm-player/

Revision 1.3  2006/02/08 17:02:39  charles
- snap 20060208

Revision 1.2  2006/01/24 10:30:10  qboosh
- pl

Revision 1.1  2006/01/24 03:08:06  charles
- new, builds and works
